org.keycloak.saml.processing.core.saml.v1.writers

## Class SAML11RequestWriter

- java.lang.Object
- - org.keycloak.saml.processing.core.saml.v1.writers.BaseSAML11Writer
  - - org.keycloak.saml.processing.core.saml.v1.writers.SAML11RequestWriter

-     public class SAML11RequestWriter
      extends BaseSAML11Writer

  Write the `SAML11RequestType` to stream
  Since:
    Jun 27, 2011
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SAML11AssertionWriter` | `assertionWriter`
    `protected String` | `namespace`

    - ### Fields inherited from class org.keycloak.saml.processing.core.saml.v1.writers.BaseSAML11Writer

      `ASSERTION_PREFIX, logger, PROTOCOL_PREFIX, writer, XACML_SAML_PREFIX, XACML_SAML_PROTO_PREFIX, XSI_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML11RequestWriter(XMLStreamWriter writer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(SAML11AttributeQueryType attr)`
    `void` | `write(SAML11AuthenticationQueryType auth)`
    `void` | `write(SAML11AuthorizationDecisionQueryType attr)`
    `void` | `write(SAML11RequestType request)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### namespace

          protected String namespace

    - #### assertionWriter

          protected SAML11AssertionWriter assertionWriter

  - ### Constructor Detail

    - #### SAML11RequestWriter

          public SAML11RequestWriter(XMLStreamWriter writer)

  - ### Method Detail

    - #### write

          public void write(SAML11RequestType request)
                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(SAML11AuthenticationQueryType auth)
                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(SAML11AttributeQueryType attr)
                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(SAML11AuthorizationDecisionQueryType attr)
                     throws ProcessingException

      Throws:
        `ProcessingException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.